package org.jeecg.modules.excelutil.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.baomidou.mybatisplus.annotation.TableField;

import java.util.Date;

public class KuaishouChannelRegInfoEntity extends BaseRowModel {
    @ExcelProperty(index = 0, value = "统计日期")
    private String stateDate;
    @ExcelProperty(index = 1, value = "渠道号")
    private String channelCode;
    @ExcelProperty(index = 2, value = "子渠道")
    @TableField(exist = false)
    private String childChannelCode;
    @ExcelProperty(index = 3, value = "注册数")
    private Integer regNum;
    @ExcelProperty(index = 4, value = "完善资料率")
    private String perfectDataRate;
    @ExcelProperty(index = 5, value = "男高占比")
    private String maleRatio;
    private Date createTime;
    private Date updateTime;

    public String getStateDate() {
        return stateDate;
    }

    public void setStateDate(String stateDate) {
        this.stateDate = stateDate;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getChildChannelCode() {
        return childChannelCode;
    }

    public void setChildChannelCode(String childChannelCode) {
        this.childChannelCode = childChannelCode;
    }

    public Integer getRegNum() {
        return regNum;
    }

    public void setRegNum(Integer regNum) {
        this.regNum = regNum;
    }

    public String getPerfectDataRate() {
        return perfectDataRate;
    }

    public void setPerfectDataRate(String perfectDataRate) {
        this.perfectDataRate = perfectDataRate;
    }

    public String getMaleRatio() {
        return maleRatio;
    }

    public void setMaleRatio(String maleRatio) {
        this.maleRatio = maleRatio;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "KuaishouChannelRegInfo{" +
                "stateDate='" + stateDate + '\'' +
                ", channelCode='" + channelCode + '\'' +
                ", childChannelCode='" + childChannelCode + '\'' +
                ", regNum=" + regNum +
                ", perfectDataRate='" + perfectDataRate + '\'' +
                ", maleRatio='" + maleRatio + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
